Request
Endpoint: !RetryCAACheck
https://secure.trust-provider.com/products/!RetryCAACheck
Use the POST method for this endpoint.
Submit parameters in the x-www-form-urlencoded format.
Rate limit: 1 request per 10 minutes.
Request parameters
The following table lists the required, optional, and conditional parameters.
| Parameter | Requirement | Type | Max.Length | Description |
|---|---|---|---|---|
|
required |
string |
64 chars |
Your account username. This value is case sensitive. |
|
required |
string |
128 chars |
Your account password. This value is case sensitive. |
|
conditional |
integer |
16 digits |
The internal certificate ID of the SSL certificate. Either |
|
conditional |
string |
128 chars |
The order number of a Wildcard SSL certificate ordered previously using Either |
Sample request
curl --location 'https://secure.trust-provider.com/products/!RetryCAACheck' \
--header 'Content-Type: application/x-www-form-urlencoded' \
--data-urlencode 'loginName=login_name' \
--data-urlencode 'loginPassword=login_password' \
--data-urlencode 'certificateID=certificate_id'
Response
The request is successful when the server returns a response with the error code 0.
Any errorCode less than 0 indicates an error condition and the errorMessage provides more details.
The response is formatted in x-www-form-urlencoded format.
Response parameters
The response may contain the following parameters:
| Parameter | Description |
|---|---|
|
A numeric code that identifies the type of error. For more information, see Error codes. |
|
A description of the error. |
Error codes
The following table outlines error responses returned by the RetryCAACheck API endpoint.
Each error response consists of an errorCode and an errorMessage indicating why the request failed.
| Error Code | Error Message | Description |
|---|---|---|
|
|
The request must use HTTPS protocol. |
|
|
The provided argument is not recognized. |
|
|
The required argument is missing from the request. |
|
|
The argument value does not meet validation requirements. |
|
|
An unknown error occurred. |
|
|
The user does not have permission for the requested context. This error code is set for authorization errors. |
|
|
The request method should be |
|
|
The user does not have permission for the requested context. This error code is set for the user who is not Active or not allowed to work with the given certificate. |
|
|
The request cannot be processed yet due to rate limiting. There is a time limit between API calls, by default it is 10 minutes. |
|
|
Only the certificates in the |
|
|
The CAA check could not be retried successfully. |
|
|
The request could not be processed because no data was found for the specified certificate ID. |
|
|
The request could not be processed due to an unknown error. |